Package commoble.jumbofurnace.recipes

# Class JumboFurnaceRecipeSerializer

java.lang.Object
commoble.jumbofurnace.recipes.JumboFurnaceRecipeSerializer

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>`, `net.minecraftforge.common.extensions.IForgeRecipeSerializer<JumboFurnaceRecipe>`

public class JumboFurnaceRecipeSerializer extends Object implements net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.minecraft.world.item.crafting.RecipeType<JumboFurnaceRecipe>`
`recipeType`

### Fields inherited from interface net.minecraft.world.item.crafting.RecipeSerializer

`ARMOR_DYE, BANNER_DUPLICATE, BLASTING_RECIPE, BOOK_CLONING, CAMPFIRE_COOKING_RECIPE, DECORATED_POT_RECIPE, FIREWORK_ROCKET, FIREWORK_STAR, FIREWORK_STAR_FADE, MAP_CLONING, MAP_EXTENDING, REPAIR_ITEM, SHAPED_RECIPE, SHAPELESS_RECIPE, SHIELD_DECORATION, SHULKER_BOX_COLORING, SMELTING_RECIPE, SMITHING_TRANSFORM, SMITHING_TRIM, SMOKING_RECIPE, STONECUTTER, SUSPICIOUS_STEW, TIPPED_ARROW`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceRecipeSerializer(net.minecraft.world.item.crafting.RecipeType<JumboFurnaceRecipe> recipeType)`

## Method Summary

Modifier and Type
Method
Description
`JumboFurnaceRecipe`
`fromJson(net.minecraft.resources.ResourceLocation recipeId, com.google.gson.JsonObject json)`
`JumboFurnaceRecipe`
`fromNetwork(net.minecraft.resources.ResourceLocation recipeId, net.minecraft.network.FriendlyByteBuf buffer)`
`static net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient>`
`readIngredients(com.google.gson.JsonArray p_199568_0_)`
`void`
`toNetwork(net.minecraft.network.FriendlyByteBuf buffer, JumboFurnaceRecipe recipe)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeRecipeSerializer

`fromJson`

## Field Details

### recipeType

public final net.minecraft.world.item.crafting.RecipeType<JumboFurnaceRecipe> recipeType

## Constructor Details

### JumboFurnaceRecipeSerializer

public JumboFurnaceRecipeSerializer(net.minecraft.world.item.crafting.RecipeType<JumboFurnaceRecipe> recipeType)

## Method Details

### fromJson

public JumboFurnaceRecipe fromJson(net.minecraft.resources.ResourceLocation recipeId, com.google.gson.JsonObject json)

Specified by:
  `fromJson` in interface `net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>`

### readIngredients

public static net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> readIngredients(com.google.gson.JsonArray p_199568_0_)

### fromNetwork

public JumboFurnaceRecipe fromNetwork(net.minecraft.resources.ResourceLocation recipeId, net.minecraft.network.FriendlyByteBuf buffer)

Specified by:
  `fromNetwork` in interface `net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>`

### toNetwork

public void toNetwork(net.minecraft.network.FriendlyByteBuf buffer, JumboFurnaceRecipe recipe)

Specified by:
  `toNetwork` in interface `net.minecraft.world.item.crafting.RecipeSerializer<JumboFurnaceRecipe>`